Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QFtp

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QFtp class reference

### Public Functions

- QFtp ( QObject * parent, const char * name )
- Q_LONG readBlock ( char * data, Q_ULONG maxlen )

## Member Function Documentation

### QFtp::QFtp ( QObject * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### Q_LONG QFtp::readBlock ( char * data, Q_ULONG maxlen )

Use read() instead.